#include <iostream.h>

class Student
{
public:
	Student()
	{
		number = 0;
		grade = 0;
	};
	Student(int argNumber, int argGrade):number(argNumber), grade(argGrade){};
	~Student(){};

	int GetNumber() { return number; };
	int GetGrade() { return grade; };

private:
	int number;
	int	grade;
};

class Calculator
{
public:
	Calculator()
	{
		numberOfStudent = 0;
	};
	void AddStudent(Student argStudent);
	int Sum();
	
private:
	Student student[50];

protected:
	int     numberOfStudent;
};

void Calculator::AddStudent(Student argStudent)
{
	student[numberOfStudent++] = argStudent;
};

int Calculator::Sum()
{
	int sum = 0;
	for (int i = 0; i < numberOfStudent; i++)
		sum += student[i].GetGrade();

	return sum;
};

class CalculatorEx : public Calculator
{
public:
	CalculatorEx(){};
	float Average()
	{
		float average = 0.0;
		average = Sum() / (float)numberOfStudent;
		return average;
	};
};

void main()
{
	Student student1(1, 30);
	Student student2(2, 90);
	Student student3(3, 100);
	Student student4(4, 50);

	CalculatorEx cal;
	cal.AddStudent(student1);
	cal.AddStudent(student2);
	cal.AddStudent(student3);
	cal.AddStudent(student4);

	cout << "л  հ : " << cal.Sum() << endl;
	cout << "л  հ : " << cal.Average() << endl;
}